Health check
GET/docs/_readsmith/api/health
Liveness plus database reachability. A site running docs-only reports the database as disabled and stays healthy.
Responses
200 OKHealthy.
Health
statusstringrequired
Allowed values
okdegradeddatabasestringrequired
Allowed values
updowndisabled503 UnavailableThe database is configured but unreachable.
Health
statusstringrequired
Allowed values
okdegradeddatabasestringrequired
Allowed values
updowndisabledRequest
▍GET/docs/_readsmith/api/health
curl 'https://readsmith.dev/docs/_readsmith/api/health'const response = await fetch("https://readsmith.dev/docs/_readsmith/api/health", {
method: "GET",
});
const data = await response.json();import requests
response = requests.get(
"https://readsmith.dev/docs/_readsmith/api/health",
)
data = response.json()Response
200 OK
{
"status": "ok",
"database": "up"
}